package uk.ac.reload.editor.scormadaptive.rules;

import javax.swing.*;
import org.jdom.Element;
import org.jdom.input.SAXBuilder;
import uk.ac.reload.editor.EditorFrame;

public class RulesEditor extends JDialog {

	private AdaptiveRules_EditorDialog rulesEditor;
	private JFrame frame;
	private Element father;
	
public RulesEditor(JFrame _jFrame, Element _father) {
	frame = _jFrame;
	father = _father;
	
	frame = EditorFrame.getInstance();

/*	
	SAXBuilder builder = new SAXBuilder(false);	
	try{
	father = builder.build("prueba1.xml").getRootElement();
	} catch (Exception e) {
		e.printStackTrace();
	}
	*/
}
/*
public void launch() {
	System.out.println("Vamos a constuir el editor de reglas...");
	try {
	new AdaptiveRules_EditorDialog(frame, true, father).setVisible(true);
	} catch (Exception e) {
		System.out.println("Craso error.");
		e.printStackTrace();
	}
}
*/
}
